diff --git a/res/GAMEHELP/UP.N.DOWN b/res/GAMEHELP/UP.N.DOWN
new file mode 100644
index 000000000..a183666a4
--- /dev/null
+++ b/res/GAMEHELP/UP.N.DOWN
@@ -0,0 +1,24 @@
+  Collect all flags, avoid collisions
+
+  Jump and land on vehicles for bonus
+
+
+
+               accelerate
+
+                   
+
+        turn <  joystick  > turn
+
+                   
+
+               decelerate
+
+
+
+             button to jump
+
+
+
+Esc* * * * * * * * * * * * * * * * pause
+[eof]
diff --git a/res/GAMES.CONF b/res/GAMES.CONF
index 396bef6bd..73f9f5eb6 100755
--- a/res/GAMES.CONF
+++ b/res/GAMES.CONF
@@ -317,7 +317,7 @@
 1001,TUBEWAY=Tubeway ][
 0000,TUNNEL.TERROR
 0001,TWERPS
-0001,UP.N.DOWN=Up'n Down
+1001,UP.N.DOWN=Up'n Down
 0110,VICTORY.ROAD
 0000,VINDICATOR
 0000,WARP.DESTROYER
diff --git a/res/notes/font.txt b/res/notes/font.txt
index e1265616a..db798d99e 100644
--- a/res/notes/font.txt
+++ b/res/notes/font.txt
@@ -1,11 +1,13 @@
 CIRCUITOUS font information
-2019-07 last updated
+2020-09 last updated
 
 - $80 characters only (high bit is always 0)
 - $20 and above are standard ASCII
 - $00..$1F are various shapes and characters in no standard order
 - Capital letters are full-width, which makes all-caps drawing look bad, so
   don't do that
+- Capital letters are also full-height, which makes single-spaced text look
+  bad, so don't do that either
 
 Font routines are near the top of LC RAM, accessible to either bank. However,
 font data is stored in LC RAM bank 2, because that's where we have space. Note
@@ -30,8 +32,8 @@ $06  rounded top-left quadrant circuit path
 $07  rounded top-right quadrant circuit path
 $08  left arrow
 $09  rounded bottom-right quadrant circuit path
-$0A  (TODO down arrow)
-$0B  (TODO up arrow)
+$0A
+$0B  up arrow
 $0C  rounded bottom-left quadrant circuit path
 $0D  carriage return symbol
 $0E  open apple
@@ -46,7 +48,7 @@ $16  bolt
 $17  times
 $18
 $19
-$1A
+$1A  down arrow
 $1B  lowercase a with umlaut
 $1C  lowercase e with accent
 $1D  lowercase i with accent
diff --git a/src/ui.font.data.lc2.a b/src/ui.font.data.lc2.a
index 458587e96..64612901e 100644
--- a/src/ui.font.data.lc2.a
+++ b/src/ui.font.data.lc2.a
@@ -16,7 +16,7 @@ FontDataRow0
          !byte $00        ; 08
          !byte $9C        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $80        ; 0B
          !byte $9C        ; 0C
          !byte $E0        ; 0D
          !byte $B0        ; 0E
@@ -31,7 +31,7 @@ FontDataRow0
          !byte $80        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $80        ; 1A
          !byte $EC        ; 1B
          !byte $B0        ; 1C
          !byte $B0        ; 1D
@@ -145,7 +145,7 @@ FontDataRow1
          !byte $8C        ; 08
          !byte $9E        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $98        ; 0B
          !byte $BC        ; 0C
          !byte $E0        ; 0D
          !byte $98        ; 0E
@@ -160,7 +160,7 @@ FontDataRow1
          !byte $E6        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $98        ; 1A
          !byte $80        ; 1B
          !byte $98        ; 1C
          !byte $98        ; 1D
@@ -274,7 +274,7 @@ FontDataRow2
          !byte $86        ; 08
          !byte $9F        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $BC        ; 0B
          !byte $FC        ; 0C
          !byte $EC        ; 0D
          !byte $B6        ; 0E
@@ -289,7 +289,7 @@ FontDataRow2
          !byte $BC        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $98        ; 1A
          !byte $FC        ; 1B
          !byte $BC        ; 1C
          !byte $80        ; 1D
@@ -403,7 +403,7 @@ FontDataRow3
          !byte $FF        ; 08
          !byte $8F        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $FE        ; 0B
          !byte $F8        ; 0C
          !byte $E6        ; 0D
          !byte $C3        ; 0E
@@ -418,7 +418,7 @@ FontDataRow3
          !byte $98        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $98        ; 1A
          !byte $E6        ; 1B
          !byte $E6        ; 1C
          !byte $9C        ; 1D
@@ -532,7 +532,7 @@ FontDataRow4
          !byte $FF        ; 08
          !byte $87        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $98        ; 0B
          !byte $F0        ; 0C
          !byte $FF        ; 0D
          !byte $A3        ; 0E
@@ -547,7 +547,7 @@ FontDataRow4
          !byte $BC        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $FE        ; 1A
          !byte $E6        ; 1B
          !byte $B6        ; 1C
          !byte $98        ; 1D
@@ -661,7 +661,7 @@ FontDataRow5
          !byte $86        ; 08
          !byte $80        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $98        ; 0B
          !byte $80        ; 0C
          !byte $BF        ; 0D
          !byte $A3        ; 0E
@@ -676,7 +676,7 @@ FontDataRow5
          !byte $E6        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $BC        ; 1A
          !byte $EE        ; 1B
          !byte $9E        ; 1C
          !byte $B8        ; 1D
@@ -790,7 +790,7 @@ FontDataRow6
          !byte $8C        ; 08
          !byte $80        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $98        ; 0B
          !byte $80        ; 0C
          !byte $86        ; 0D
          !byte $CA        ; 0E
@@ -805,7 +805,7 @@ FontDataRow6
          !byte $80        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $98        ; 1A
          !byte $EC        ; 1B
          !byte $FC        ; 1C
          !byte $B8        ; 1D
@@ -919,7 +919,7 @@ FontDataRow7
          !byte $80        ; 08
          !byte $80        ; 09
          !byte $00        ; 0A
-         !byte $00        ; 0B
+         !byte $80        ; 0B
          !byte $00        ; 0C
          !byte $8C        ; 0D
          !byte $B6        ; 0E
@@ -934,7 +934,7 @@ FontDataRow7
          !byte $80        ; 17
          !byte $00        ; 18
          !byte $00        ; 19
-         !byte $00        ; 1A
+         !byte $80        ; 1A
          !byte $80        ; 1B
          !byte $80        ; 1C
          !byte $80        ; 1D
